<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.token-realm.oauth2-introspection">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="client-id,client-secret,introspection-url,client-ssl-context,host-name-verification-policy"/>
        <elem name="complex-attribute" value="oauth2-introspection"/>
        <elem name="addr-params" value="profile,host,subsystem,token-realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <requires>
        <capability name="$profile.org.wildfly.security.ssl-context.$client-ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron.token-realm"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="client-secret"/>
        <param name="introspection-url"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="host-name-verification-policy" nillable="true"/>
        <param name="token-realm" feature-id="true"/>
        <param name="client-id"/>
        <param name="client-ssl-context" nillable="true"/>
    </params>
</feature-spec>